Deep Security Manager REST API

Path: / rest / multitenantconfiguration

Configuration of DSM Multi Tenant settings.


Method Summary
ResourceDescription
GET /rest/multitenantconfiguration?sID=…Configuration of DSM Multi Tenant settings.
PUT /rest/multitenantconfigurationSet the multi-tenant configuration.

Method Detail
HTTP Example:
GET /rest/multitenantconfiguration?sID=…

API Example:

IMultiTenantConfigurationAPI.getMultiTenantConfiguration({'sID': /* sID session ID. */});

Configuration of DSM Multi Tenant settings.

Output:
MultiTenantConfigurationElement - The information about the multi tenant configuration.
Query parameters:
sID - session ID.
Produces:
application/xml
application/json
HTTP Example:
PUT /rest/multitenantconfiguration

API Example:

IMultiTenantConfigurationAPI.setMultiTenantConfiguration({'$entity': /* updateMultiTenantConfigurationRequest The request parameters */});

Set the multi-tenant configuration.

Input:
UpdateMultiTenantConfigurationRequest - The request parameters
Output:
UpdateMultiTenantConfigurationResponse - a response with status 200 OK and a body containing response information when the configuration was successful. It will return a response with status 400 Bad Request and a body containing an ErrorMessage when mandatory parameters are missing and/or validation fails.
Produces:
application/xml
application/json
Consumes:
application/xml
application/json

Copyright © 2015 Trend Micro Inc. All Rights Reserved.